clan::DomImplementation Class Reference - ClanLib SDK
Description: clan::DomImplementation Class Reference

Public Member Functions | List of all members
clan::DomImplementation Class Reference
clanXML XML

DOM Implementation class. More...

`#include <dom_implementation.h>`

## Public Member Functions
| DomImplementation ()
| Constructs a DOM Implementation handle.
| DomImplementation (DomDocument &doc)
| Constructs a DomImplementation.
| ~DomImplementation ()
DomDocument | create_document (const DomString &namespace_uri, const DomString &qualified_name, const DomDocumentType &doctype)
| Creates an XML Document object of the specified type with its document element.
DomDocumentType | create_document_type (const DomString &qualified_name, const DomString &public_id, const DomString &system_id)
| Creates an empty DocumentType node.
bool | has_feature (const DomString &feature, const DomString &version)
| Test if the DOM implementation implements a specific feature.

## Detailed Description

DOM Implementation class.

The DOM Implementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.

## Constructor & Destructor Documentation

## ◆ DomImplementation() [1/2]

clan::DomImplementation::DomImplementation | ( |  | ) |

Constructs a DOM Implementation handle.

## ◆ DomImplementation() [2/2]

clan::DomImplementation::DomImplementation | ( | DomDocument & | doc | ) |

Constructs a DomImplementation.

Parameters

  doc | = Dom Document

## ◆ ~DomImplementation()

clan::DomImplementation::~DomImplementation | ( |  | ) |

## Member Function Documentation

## ◆ create_document()

DomDocument clan::DomImplementation::create_document | ( | const DomString & | namespace_uri,
|  | const DomString & | qualified_name,
|  | const DomDocumentType & | doctype )

Creates an XML Document object of the specified type with its document element.

## ◆ create_document_type()

DomDocumentType clan::DomImplementation::create_document_type | ( | const DomString & | qualified_name,
|  | const DomString & | public_id,
|  | const DomString & | system_id )

Creates an empty DocumentType node.

Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a DocumentType.

## ◆ has_feature()

bool clan::DomImplementation::has_feature | ( | const DomString & | feature,
|  | const DomString & | version )

Test if the DOM implementation implements a specific feature.

Parameters

  feature | The package name of the feature to test. In Level 1, the legal values are "HTML" and "XML" (case-insensitive).
  version | This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return true. retval: true if the feature is implemented in the specified version, false otherwise.

The documentation for this class was generated from the following file:

- dom_implementation.h